#pragma once

#include "PanelScriptletPlugin.h"
#include "ScriptletContainerFactory.h"
#include "ImageProxy.h"
#include "NScrollView.h"
#include "Application.h"

class NPCOMMONUI_API CScrollViewScriptletPlugin : public CPanelScriptletPlugin
{
public:
	DECLARE_REGISTER_SCRIPTLETCOMPONENTPLUGIN_CREATOR(CScrollViewScriptletPlugin);
	CScrollViewScriptletPlugin(void);
	virtual ~CScrollViewScriptletPlugin(void);

	//override
	BOOL ModifyComponent(CContainer* pParent, CComponent* pTarget, TiXmlElement* pNode);
	CComponent* _CreateComponent(TiXmlElement* pNode);

	//operation
	virtual IImage* LoadImage(LPCTSTR pszcValue) { return Application::LoadImage(pszcValue); }

private:
	void _CreateComponent_ScrollBar(TiXmlElement* pSbNode, CScrollBarUI_Img::PSCROLLBARUI_INFO pInfo);
	void _GetLastNodeName(CStringA* pStrNodeName);

	CAutoPtr<CScrollBarUI_Img> m_pScrollBarUI_Img_Horz;
	CAutoPtr<CScrollBarUI_Img> m_pScrollBarUI_Img_Vert;
};